<template>
    <v-card class="mx-auto" outlined width="100%">
      <v-card-title class="pb-0">
            <v-container fluid>
        <v-icon size="40" :color="color">
          mdi-alert-circle
        </v-icon>
        <span class="text-h5 text--primary "> {{titleText}}</span>
          </v-container>
      </v-card-title>
      <v-card-text>
        <v-container fluid>
            <v-container fluid>
            <p class="subtitle-1">{{subtitleText1}} {{user.user.name}} {{user.user.fatherLastname}} {{user.user.motherLastname}} {{subtitleText2}}
            </p>
            <p class="subtitle-1">{{confirmText}}</p>
            <v-btn depressed :color="color" style="padding: 15px" rounded outlined @click="blockUser">{{textButton}}</v-btn>
            </v-container>
        </v-container>
        
      </v-card-text>
    </v-card>
</template>

<script>
export default {
    name:'BlockUser',
    props:{
        'titleText': { default: '', type: String },
        'subtitleText1': { default: '', type: String },
        'user': { default:{}, type:Object},
        'subtitleText2': { default: '', type: String },
        'confirmText': { default: '', type: String },
        'color': { default: 'primary', type: String },
        'textButton':{ default: '', type: String }
    },
    methods:{
        blockUser(){
            console.log("principal");
            this.$emit('clickPrincipalButton');
        }
    }

}
</script>